﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class whiteground : MonoBehaviour {

	[HideInInspector]public float alphacolor;

	public float revealspeed;
	public float hidespeed;
	bool isrevealed;
	float revealTimer;
	public float revealTimerMax;
	bool isRevealing;

	// Use this for initialization
	void Start () {
		alphacolor = 1;
		revealTimer = revealTimerMax;
	}
	
	// Update is called once per frame
	void Update () {
		//this.GetComponent<Renderer>().material.color = new Color (255, 255, 255, alphacolor);
		this.GetComponent<Animator>().SetFloat("hideshow", alphacolor);

		if (isrevealed == false) {
			revealTimer -= 1*Time.deltaTime;
			if (revealTimer <= 0) {
				if (alphacolor < 1) {
					alphacolor += hidespeed*Time.deltaTime;
				}
			}
		}
	}

	public void OnTriggerEnter2D(Collider2D other) {
		
		isrevealed = true;
		StartCoroutine(RevealSelf());

	}

	public void OnTriggerExit2D(Collider2D other) {
		
		isrevealed = false;

	}
		
	public IEnumerator RevealSelf() {
		if (isRevealing == false) {
			isRevealing = true;
			revealTimer = revealTimerMax;
			while (alphacolor > 0) {
				alphacolor -= revealspeed*Time.deltaTime;
				yield return new WaitForSeconds(Time.deltaTime);
			}
			isRevealing = false;
		}
	}
}
